

import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../widgets/desktop/desktop_my_addresses.dart';
import '../widgets/mobile/mobile_my_addresses.dart';

class MyAddresses extends StatelessWidget {
  final Key? key;
  final int businessId;

  const MyAddresses({this.key, int businessId}) :
      businessId = businessId ?? Constants.BUSINESS_ID;

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        ScreenTypeLayout(
          mobile: MobileMyAddresses(businessId: businessId,),
          tablet: DesktopMyAddresses(businessId: businessId,),
          desktop: DesktopMyAddresses(businessId: businessId,),
        ),
    );
  }

}